<?php
if (!defined('ABSPATH')) {
    exit;
}

/********************************************************************
 * Copyright (C) 2025 Hassine RIANI (https://upvimeo.com)
 *
 * This file is part of Upvimeo
 *
 * Upvimeo is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Upvimeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Upvimeo. If not, see <https://www.gnu.org/licenses/>.
 **********************************************************************/

/**
 * Returns the whitelisted domains in settings (DEPRECATED)
 * @return array
 */
function upvimeo_get_whitelisted_domains()
{
    _deprecated_function(__FUNCTION__, '1.4.0', 'new UpVimeo_Settings_Helper class');
    $settings = new UpVimeo_Settings_Helper();
    return $settings->get_whitelisted_domains();
}

/**
 * Returns the default admin view privacy (DEPRECATED)
 */
function upvimeo_get_default_admin_view_privacy()
{
    _deprecated_function(__FUNCTION__, '1.4.0', 'new UpVimeo_Settings_Helper class');
    $settings = new UpVimeo_Settings_Helper();
    return $settings->get_default_admin_view_privacy();
}

/**
 * Returns the default frontend view privacy (DEPRECATED)
 */
function upvimeo_get_default_frontend_view_privacy()
{
    _deprecated_function(__FUNCTION__, '1.4.0', 'new UpVimeo_Settings_Helper class');
    $settings = new UpVimeo_Settings_Helper();
    return $settings->get_default_frontend_view_privacy();
}
